class Auth::RegisterController < ApplicationController
  def post
    @user = User.new(user_params)
    if @user.save
      render status: :created
    else
      render json: { errors: @user.errors.full_messages },
             status: :unprocessable_entity
    end
  end

  private

  def user_params
    params.permit(
      :username, :email, :password, :password_confirmation
    )
  end
end
